import { Module } from '@nestjs/common';
import { PrismaService } from './adapters/secondaries/prisma-service';
import { ConfigRepository } from './domain/configuration.repository';

@Module({
  providers: [PrismaService, ConfigRepository],
  exports: [PrismaService, ConfigRepository],
})
export class DatabaseModule {}
